Add a checkbox option to the notifications API
This state should be set as reaction to the user denying a permission request without checking "Always remember" and should be persisted through the tab lifetime or until another site is opened.